using System;
using System.Collections.Generic;
using System.Text;
using System.Drawing.Design;
using System.Windows.Forms;

namespace FormDesigner
{
    class DemoToolboxService :ToolboxService
    {

        private ListBox toolBox;

        public ListBox ToolBox
        {
            get { return toolBox; }
            set { toolBox = value; }
        }

        protected override CategoryNameCollection CategoryNames
        {
            get
            {
                return null;
            }
        }

        protected override System.Collections.IList GetItemContainers(string categoryName)
        {
            ToolboxItem[] t = new ToolboxItem[this.toolBox.Items.Count];
            this.toolBox.Items.CopyTo(t, 1);

            return t;
        }

        protected override System.Collections.IList GetItemContainers()
        {
            ToolboxItem[] t = new ToolboxItem[this.toolBox.Items.Count];
            this.toolBox.Items.CopyTo(t, 1);

            return t;
        }

        protected override void Refresh()
        {
            ;
        }

        protected override string SelectedCategory
        {
            get
            {
                return null;
            }
            set
            {
            }
        }

        protected override ToolboxItemContainer SelectedItemContainer
        {
            get
            {
                if (toolBox.SelectedIndex > 0)
                {
                    return new ToolboxItemContainer((ToolboxItem)toolBox.SelectedItem);
                }
                return null;
            }
            set
            {
                if (value == null)
                {
                    toolBox.SelectedIndex = 0;
                }
            }
        }
    }
}
